1. iXbox's Avatar
    My cydia has stopped working and apps are outdated on my 3.0 firmware jailbreak so I want to upgrade to 4.0 and use jailbreakme.com,

    I downloaded 4.0 firmware for my ipod touch 3rd gen and when I go to update I get an error saying "could not update because the firmware file is not compatible"

    Any1 help me ? please

    lol nevermind im dumb, i downloaded the firmware for 3rd gen touch i got 2nd gen
    Last edited by iXbox; 2010-10-09 at 06:24 AM. Reason: Automerged Doublepost
    2010-10-09 06:24 AM
LINK TO POST COPIED TO CLIPBOARD